net.dontdrinkandroot.cache

## Interface LruCache<K,V>

All Superinterfaces:
  Cache<K,V>

All Known Subinterfaces:
  LruBufferedCache<K,V>

All Known Implementing Classes:
  LruBufferedSerializableIndexedDiskCache

    public interface LruCache<K,V>
    extends Cache<K,V>

A Buffered Cache that uses a LruRecyclingExpungeStrategy.

Author:
  Philip W. Sorst <philip@sorst.net>

### Field Summary

### Fields inherited from interface net.dontdrinkandroot.cache.Cache

`UNLIMITED_IDLE_TIME`

### Method Summary

Methods
`int` `getMaxSize()`
`int` `getRecycleSize()`
`void` `setMaxSize(int maxSize)`
`void` `setRecycleSize(int recycleSize)`

### Methods inherited from interface net.dontdrinkandroot.cache.Cache

`cleanUp, delete, get, getDefaultMaxIdleTime, getDefaultTtl, getMetaData, getName, getStatistics, getWithErrors, put, putWithErrors, setDefaultTtl`

### Method Detail

#### getMaxSize

    int getMaxSize()

#### setMaxSize

    void setMaxSize(int maxSize)

#### getRecycleSize

    int getRecycleSize()

#### setRecycleSize

    void setRecycleSize(int recycleSize)